recommended toolchain

Arne Zachlod zachso at arcor.de
Sat Mar 27 14:59:08 UTC 2010


Hi christian,

i have compiled my toolchain today with gcc 4.4.3 and binutils 2.20.1 
and have compiled the whole project after that, and had no problems (but 
i think we should put a hint in the wiki about autoconf and that we are 
using this). the tutorial i used for compiling is this: 
http://wiki.ubuntuusers.de/GNU_ARM-Toolchain (german) and it worked like 
a charm.

have fun,
arne

On 27.03.2010 14:01, Christian Vogel wrote:
> Hi,
>
> what's currently the recommended toolchain for bb-osmocom?
>
> The wiki says on http://bb.osmocom.org/trac/wiki/AreasOfWork
> that most people are using gcc 4.0.2 from http://gnuarm.com/
> but the binary there is only for x86_64 which I don't use.
>
> So, as I've got to build from source, I'm going to download
> the latest binutils/gcc/newlib(?) for that.  Is it a good idea,
> or are there known problems with gcc binutils 2.20.1/gcc 4.4.3?
>
> Greetings,
>
> 	Chris
>
>
>
>    





More information about the baseband-devel mailing list